Bug 54730 - Can't compile modules. Getting mem addresses in code
Summary: Can't compile modules. Getting mem addresses in code
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-17 08:34 UTC by Chris Hodson
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 18:35:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from make (6.22 KB, text/plain)
2001-10-17 08:35 UTC, Chris Hodson
no flags Details

Description Chris Hodson 2001-10-17 08:34:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Win 9x 4.90)

Description of problem:
I have tryed RH7.0 and 7.1 and a couple of different kernel versions and 
get the same type of errors.

Note that the kernel itself makes just fine.

This is a Dell 8100 with a P4 running at 1.5 GHz

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
# make clean dep modules

Actual Results:
In file included from /usr/src/linux-2.4.3/include/linux/spinlock.h:35,
                 from /usr/src/linux-2.4.3/include/linux/module.h:11,
                 from logibusmouse.c:39:
/usr/src/linux-2.4.3/include/asm/spinlock.h:9: nondigits in number and not 
hexadecimal
/usr/src/linux-2.4.3/include/asm/spinlock.h:9: nondigits in number and not 
hexadecimal
/usr/src/linux-2.4.3/include/asm/spinlock.h:9: parse error before 
`1b7d4074'
...

Additional info:

There are similar error reported to be from module.h(173) and processor.h
(430)

Comment 1 Chris Hodson 2001-10-17 08:35:47 UTC
Created attachment 34263 [details]
output from make

Comment 2 Arjan van de Ven 2001-10-17 08:38:57 UTC
You forgot "make mrproper" (note: be sure to save your .config somewhere as make
mrproper removes that file too); unfortionatly the kernel Makefiles have had a
bug with a missing dependency for a long time; that causes this bug.

It got fixed very recently, so kernels that we release from now on will no
longer need mrproper...


Note You need to log in before you can comment on or make changes to this bug.